<?
include_once('includes/top.php');
include_once('opendb.php');
$brcode=$_SESSION['brcode'];
$user=$_SESSION['user'];
  $fromdt=$_REQUEST['fromdt'];
  $todt=$_REQUEST['todt'];
//$br=$_SESSION['branch'];
if(strlen($user)<=0)
{
  print "<script> alert('Invalid User'); document.location='inde.php' </script>";
  return;
}

?>
<link href="css/form.css" type="text/css" rel="stylesheet" media="screen"  />
<html>
<body >
<title>Billwise Report</title>
<link rel="stylesheet" href="style.css" type="text/css" />
<script type="text/javascript" src="scripts/jquery-latest.js"></script>
<link type="text/css" href="includes/style1.css" rel="stylesheet" />
<link type="text/css" href="css/form.css" rel="stylesheet" />
<link rel="stylesheet" href="cal/jquery-ui.css" />
<script src="cal/jquery-1.9.1.js"></script>
<script src="cal/jquery-ui1.js"></script>
<link rel="stylesheet" href="/resources/demos/style.css" />
<script type="text/javascript">
$(function() {
$( "#ref_date" ).datepicker("destroy");
     var fyr=document.getElementById('f_yr').value;
     var splv=fyr.explode("-");
     var syr=splv[0];
     var eyr='20'.concat(splv[1]);
     var syr1='01-04-';
     var eyr1='31-03-';
     var stfnyr=syr1.concat(syr);
     var efnyr=eyr1.concat(eyr);
     $("#ref_date").datepicker({ dateFormat: 'dd-mm-yy', minDate: stfnyr, maxDate: efnyr});

$( "#ref_date1" ).datepicker("destroy");
     var fyr=document.getElementById('f_yr').value;
     var splv=fyr.explode("-");
     var syr=splv[0];
     var eyr='20'.concat(splv[1]);
     var syr1='01-04-';
     var eyr1='31-03-';
     var stfnyr=syr1.concat(syr);
     var efnyr=eyr1.concat(eyr);
     $("#ref_date1").datepicker({ dateFormat: 'dd-mm-yy', minDate: stfnyr, maxDate: efnyr});
});
</script>
<script>
function valid()
{
}
</script>
<style>
#txt{
font-family: Arial, Helvetica;
background-color: #F2F2F2;
}
</style>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script type="text/javascript">
window.onload = function(){
new JsDatePick({
  useMode:2,
  target:"inputField",
  dateFormat:"%Y-%m-%d"
});
new JsDatePick({
  useMode:2,
  target:"inputField1",
  dateFormat:"%Y-%m-%d"
});

};
</script>

<SCRIPT LANGUAGE="JavaScript" SRC="util/PopupWindow.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/AnchorPosition.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/CalendarPopup.js"></SCRIPT>
<SCRIPT LANGUAGE="JavaScript" SRC="util/date.js"></SCRIPT>
<script>

var cal1 = new CalendarPopup();
cal1.showYearNavigation();

var cal2 = new CalendarPopup();
cal2.showYearNavigation();

</script>
<style>
th{
    // background-color: grey;
    font-weight: bold;
    color: white;
    border:1px solid #D7D7D1;
    border-collapse:collapse;
background: rgb(181,189,200); /* Old browsers */
background: -moz-linear-gradient(top, rgba(181,189,200,1) 0%, rgba(130,140,149,1) 36%, rgba(40,52,59,1) 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,rgba(181,189,200,1)), color-stop(36%,rgba(130,140,149,1)), color-stop(100%,rgba(40,52,59,1))); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* IE10+ */
background: linear-gradient(to bottom, rgba(181,189,200,1) 0%,rgba(130,140,149,1) 36%,rgba(40,52,59,1) 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#b5bdc8', endColorstr='#28343b',GradientType=0 ); /* IE6-9 */
}
.ro_settled td
{
background: #6bba70; /* Old browsers */
background: -moz-linear-gradient(top, #6bba70 0%, #6bba70 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#6bba70), color-stop(100%,#6bba70)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* IE10+ */
background: linear-gradient(to bottom, #6bba70 0%,#6bba70 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6bba70', endColorstr='#6bba70',GradientType=0 ); /* IE6-9 */
color:white;
}
.ro_settl td
{
background: #6bba70; /* Old browsers */
background: -moz-linear-gradient(top, #6bba70 0%, #6bba70 100%); /* FF3.6+ */
background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#6bba70), color-stop(100%,#6bba70)); /* Chrome,Safari4+ */
background: -webkit-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Chrome10+,Safari5.1+ */
background: -o-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* Opera 11.10+ */
background: -ms-linear-gradient(top, #6bba70 0%,#6bba70 100%); /* IE10+ */
background: linear-gradient(to bottom, #6bba70 0%,#6bba70 100%); /* W3C */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#6bba70', endColorstr='#6bba70',GradientType=0 ); /* IE6-9 */
color:red;
}
</style>
<body background="back_ground.jpg">
<?php //include('logo2.php'); ?>
<?php //include('includes/top.php'); ?>
<form action='<?print $PHP_SELF?>' method='post' name="f1" >
<br>
<table class="container"><tr><td>
<br>
<center>
<table class="form" style="width:auto;" align='center' >
<?
if($fromdt>0)
{
    $mfrm = $fromdt;
    $mto = $todt;
}
else
{
    $mfrm = date('d-m-Y');
    $mto = date('d-m-Y');
}?>
<tr><th style="background:grey;">STAFF SALE - BILLWISE REPORT</th></tr>
<tr><td><input type=hidden name='f_yr' id='f_yr' value='<? echo $fin_year ?>'>
 Show Report From <input type="text" id="ref_date" value="<?echo $mfrm;?>" name="fromdt" readonly  >
 To <input type="text" id="ref_date1" name="todt" value="<?echo $mto;?>" readonly > </td></tr>

<tr><td>Payment Mode
<select name='pmode' id='pmode' >
<option value='ALL'>ALL</option>
<option value='CASH'>CASH</option>
<option value='CREDIT'>CREDIT</option>
</select>
  </td></tr>

<tr><td align='center'>
<input type='submit' name='show' value='Show' >
<input type='button'  value='Print' onclick=printexc()><input type='button'  value='Print To Excel' onclick=print_excel()>
    </td></tr></form>
</table>
<br><br>
<?
if(isset($_POST['show']))
{
  $fromdt=$_REQUEST['fromdt'];
  $todt=$_REQUEST['todt'];
  $type=$_REQUEST['pmode'];
   print "<tr><th COLSPAN=11>Billwise Report for the period from <$fromdt> to <$todt></th>";
     $fromdt=implode('-', array_reverse(explode('-', $fromdt)));
  $todt=implode('-', array_reverse(explode('-', $todt)));
  if($type == 'ALL')
  {
    $qry=mysqli_query($db,"select invno,invdate,sum(total),sum(mba),sum(strbtnml),sum(strbtspl),sum(redct),sum(befrtx),sum(taxamt),sum(nettot),customer,invdate,sum(total*staffdisc/100) from prod_invoice where invdate between '$fromdt' and '$todt' and brcode='$brcode' and biltpe = 3 group by invno ");



  }
  if($type == 'CASH')
	{
	$qry=mysqli_query($db,"select invno,invdate,sum(total),sum(mba),sum(strbtnml),sum(strbtspl),sum(redct),sum(befrtx),sum(taxamt),sum(nettot),customer,invdate,sum(total*staffdisc/100) from prod_invoice where invdate between '$fromdt' and '$todt' and brcode='$brcode' and biltpe = 3 and pmode='CASH' group by invno ");

	}
	if($type == 'CREDIT')
	{
		$qry=mysqli_query($db,"select invno,invdate,sum(total),sum(mba),sum(strbtnml),sum(strbtspl),sum(redct),sum(befrtx),sum(taxamt),sum(nettot),customer,invdate,sum(total*staffdisc/100) from prod_invoice where invdate between '$fromdt' and '$todt' and brcode='$brcode' and biltpe = 3 and pmode='CREDIT' group by invno ");

	}
  //else
  //{
    //$qry=mysqli_query($db,"select invno,invdate,sum(total),sum(mba),sum(strbtnml),sum(strbtspl),sum(redct),sum(befrtx),sum(taxamt),sum(nettot),customer,invdate,sum(total*staffdisc/100) from prod_invoice where invdate between '$fromdt' and '$todt' and brcode='$brcode' and biltpe = 3 and gname = '$type' group by invno ");
    //print "<tr><th COLSPAN=11>Billwise (Groupname : $type) Report for the period from <$fromdt> to <$todt></th>";
  //}
       print "<table class='report' border='1'>";
  $mfrom_date = $fromdt;
  $mto_date = $todt;

  print "<tr><th>Bill No.</th><th>Customer</th><th>Date</th><th>Amount</th><th>MDA</th><th>State Rebate Normal</th><th>State Rebate Spl</th><th>Reduction </th><th>Staff Discount</th><th>Net Cash</th><th>Tax</th><th>Total Amount</th>";
       $colspan=6;
  $mstr[]='';
  $i=1;
  $mgname = '.';
  $mtot_total = 0;
  $mtot_mba= 0;
  $mtot_strbtnml = 0;
  $mtot_strbtspl = 0;
  $mtot_redct = 0;
  $mtot_befrtx = 0;
  $mtot_taxamt = 0;
  $mtot_nettot = 0;
  $mgr_total = 0;
  $mgr_mba= 0;
  $mgr_strbtnml = 0;
  $mgr_strbtspl = 0;
  $mgr_redct = 0;
  $mgr_befrtx = 0;
  $mgr_taxamt = 0;
  $mgr_nettot = 0;
  $ctr=0;
          $mdisc_red_1 = 0;
        $mstaffdisc_amt_1 =0;
    while($row=mysqli_fetch_array($qry))
    {
        $mstaffdisc_amt = 0;
        if ($row[12]>0)
        {
            $rbt_tbl=mysqli_query($db,"select item_code,qty,staffdisc,total from prod_invoice where brcode = '$brcode' and invno = '$row[0]'");
            while($rrow=mysqli_fetch_array($rbt_tbl))
            {
                $rbt_val=mysqli_query($db,"select rbtbl,rbtvl from partmaster where partcode = '$rrow[0]'");
                $row22=mysqli_fetch_row($rbt_val);
                if($row22[0]=='Yes')
                {
                   $mstaffdisc_amt += ($rrow[1]*$row22[1])*$rrow[2]/100;
                }
                else
                {
                   $mstaffdisc_amt += $rrow[3]*$rrow[2]/100;
                   $mdummy +=  $rrow[3]*$rrow[2]/100;

                }
            }
        }
        $mdisc_red = $mstaffdisc_amt+$row[6];
        $mdisc_red_1 += $row[6];
        $mstaffdisc_amt_1 +=$mstaffdisc_amt;

     $invdt=implode('-', array_reverse(explode('-', $row[11])));
    print "<tr><td>".$row[0]."</td><td align='left'>$row[10]</td><td align='right'>".$invdt."</td><td align='right'>$row[2]</td><td align='right'>$row[3]</td><td align='right'>$row[4]</td><td align='right'>$row[5]</td><td align='right'>".number_format($row[6],2,'.','')."</td><td align='right'>".number_format($mstaffdisc_amt,2,'.','')."</td><td align='right'>$row[7]</td><td align='right'>$row[8]</td><td align='right'>$row[9]</td></tr>";
    $mgr_total += $row[2];
    $mgr_mba += $row[3];
    $mgr_strbtnml += $row[4];
    $mgr_strbtspl += $row[5];
    $mgr_redct += $mdisc_red;
    $mgr_befrtx += $row[7];
    $mgr_taxamt += $row[8];
    $mgr_nettot += $row[9];
    $mtot_total += $row[2];
    $mtot_mba += $row[3];
    $mtot_strbtnml += $row[4];
    $mtot_strbtspl += $row[5];
    $mtot_redct += $mdisc_red;
    $mtot_befrtx += $row[7];
    $mtot_taxamt += $row[8];
    $mtot_nettot += $row[9];
    $i++;
  }
  print "<tr><td><b>Grand Total</td><td></td><td></td><td align='right'><b>".$mtot_total."</td><td align='right'><b>".$mtot_mba."</td><td align='right'><b>".$mtot_strbtnml."</td><td align='right'><b>".$mtot_strbtspl."</td><td align='right'><b>".number_format($mdisc_red_1,2,'.','')."</td><td align='right'><b>".number_format($mstaffdisc_amt_1,2,'.','')."</td><td align='right'><b>".$mtot_befrtx."</td><td align='right'><b>".$mtot_taxamt."</td><td align='right'><b>".$mtot_nettot."</td></tr>";
  print "</table>";
}
?>
<script>
 function printexc()
 {

   var dfrom=document.f1.fromdt.value;
   var dto=document.f1.todt.value;
	var pmod=document.f1.pmode.value;
   document.location="staff_billreportprn.php?dfrom="+dfrom+"&&dto="+dto+"&&type="+pmod,true;

 }
  function print_excel()
 {

   var dfrom=document.f1.fromdt.value;
   var dto=document.f1.todt.value;
   var pmod=document.f1.pmode.value;
   document.location="staff_billreport_excel.php?dfrom="+dfrom+"&&dto="+dto+"&&type="+pmod,true;

 }
</script>